Package org.eclipse.app4mc.amalthea.model.util

## Class InstructionsUtil

- Object
- - InstructionsUtil

    @Deprecated
    public class InstructionsUtil
    extends Object

Deprecated.
(0.9.3) use `Ticks` instead.
Creates Need entries for Instructions

### Field Summary

Fields
`static String` `INSTRUCTIONS_CATEGORY_NAME` Deprecated.

### Method Summary

All Methods
`static ExecutionNeed` `createExecutionNeedConstant​(long instructions)` Deprecated.
`static List<HwFeature>` `getFeaturesOfCategory​(ProcessingUnitDefinition puDefinition, HwFeatureCategory category)` Deprecated.
`static List<Double>` `getFeatureValuesOfCategory​(ProcessingUnitDefinition puDefinition, HwFeatureCategory category)` Deprecated.
`static double` `getIPC​(Amalthea model, ProcessingUnit pu)` Deprecated.
`static IDiscreteValueDeviation` `getNeed​(ExecutionNeed execNeed)` Deprecated.
`static long` `getNeedConstant​(ExecutionNeed execNeed)` Deprecated.
`static IDiscreteValueDeviation` `getNeedDeviation​(ExecutionNeed execNeed)` Deprecated.
`static HwFeatureCategory` `getOrCreateInstructionsCategory​(Amalthea model)` Deprecated.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTRUCTIONS_CATEGORY_NAME

    public static final String INSTRUCTIONS_CATEGORY_NAME

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getOrCreateInstructionsCategory

    public static HwFeatureCategory getOrCreateInstructionsCategory​(Amalthea model)

Deprecated.

#### createExecutionNeedConstant

    public static ExecutionNeed createExecutionNeedConstant​(long instructions)

Deprecated.

#### getNeed

    public static IDiscreteValueDeviation getNeed​(ExecutionNeed execNeed)

Deprecated.

#### getNeedConstant

    public static long getNeedConstant​(ExecutionNeed execNeed)

Deprecated.

#### getNeedDeviation

    public static IDiscreteValueDeviation getNeedDeviation​(ExecutionNeed execNeed)

Deprecated.

#### getIPC

    public static double getIPC​(Amalthea model,
                                ProcessingUnit pu)

Deprecated.

#### getFeaturesOfCategory

    public static List<HwFeature> getFeaturesOfCategory​(ProcessingUnitDefinition puDefinition,
                                                        HwFeatureCategory category)

Deprecated.

#### getFeatureValuesOfCategory

    public static List<Double> getFeatureValuesOfCategory​(ProcessingUnitDefinition puDefinition,
                                                          HwFeatureCategory category)

Deprecated.